=pod

=head1 NAME

OSSL_IETF_ATTR_SYNTAX_print - OSSL_IETF_ATTR_SYNTAX printing

=head1 SYNOPSIS

 #include <openssl/x509_acert.h>

 int OSSL_IETF_ATTR_SYNTAX_print(BIO *bp, OSSL_IETF_ATTR_SYNTAX *a,
                                 int indent);

=head1 DESCRIPTION

OSSL_IETF_ATTR_SYNTAX_print() prints a human readable version of I<a> to
BIO I<bp>.
Each line of the output is indented by I<indent> spaces.

=head1 RETURN VALUES

OSSL_IETF_ATTR_SYNTAX_print() return 1 on success or 0 on failure.

=head1 SEE ALSO

L<ASN1_STRING_print_ex(3)>

=head1 HISTORY

OSSL_IETF_ATTR_SYNTAX_print() was added in OpenSSL 3.4.

=head1 COPYRIGHT

Copyright 2021-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
